﻿using System.Collections.Generic;
using System.Linq;

namespace InternshipSystem.Api.Service
{
    public class FileValidator
    {
        private readonly Dictionary<string, byte[]> validFileTypes;

        public FileValidator()
        {
            validFileTypes = new Dictionary<string, byte[]> {
                { "pdf", new byte[] { 0x25, 0x50, 0x44, 0x46 }  }
            };
        }

        public bool IsValidFile(byte[] scan)
        {
            return IsFileValidType(scan);
        }

        private bool IsFileValidType(byte[] scan)
        {
            var validSignatures = validFileTypes.Values;
            var header = scan[..4];

            return validSignatures.Any(sig => header.SequenceEqual(header));
        }
    }
}